#2033 Not PostgreSQL 8.x compatible - pga_hba.conf

1.190
closed
5
2014-08-23
2005-04-07
No

It appears that PostgreSQL's "pga_hba.conf" file format
has been changed/extended again in version 8.0,
recently released.

Instead of the "IP-ADDRESS IP-MASK" fields, their
default installation now uses "CIDR-ADDRESS" which has
format like this:

host all all 127.0.0.1/32
ident sameuser
host all all ::1/128
ident sameuser

Webmin does not interpret these properly. More details at:
http://www.postgresql.org/docs/8.0/interactive/client-authentication.html

Thank you.

Discussion

  • Jamie Cameron

    Jamie Cameron - 2005-04-08

    Logged In: YES
    user_id=129364

    Thanks - this will be fixed in the next Webmin release.

     
  • Jamie Cameron

    Jamie Cameron - 2005-04-08
    • status: open --> closed
     

Log in to post a comment.